#ifndef GOOGLEMAPMODEL_H
#define GOOGLEMAPMODEL_H

#include <QAbstractListModel>
#include <QtXml>
#include <QHttp>
#define GOOGLE_KEY "ABQIAAAAv9K_PFzTot7zcjLlUAfH6RR7Vv2Z9RSSyG1Rjik3PdLtKki0FhRKVN-V_T2hiJ8OQt6ARpamGF60aQ"

class GoogleMapModel : public QAbstractListModel
{
    Q_OBJECT

    public:
        GoogleMapModel( QObject *parent = 0);


        int rowCount(const QModelIndex &parent = QModelIndex()) const;
        QVariant data(const QModelIndex &index, int role) const;
    public slots:
        void search( QString search);
    protected slots:
        void parseResult(bool error);
signals:
        void done();
protected:

    private:
        QStringList mAddressList;
        QHttp *mHttp;

};

#endif // GOOGLEMAPMODEL_H
