#ifndef QUERYEDITOR_H
#define QUERYEDITOR_H

#include <QWidget>
#include <QTextEdit>
#include <QListWidget>
#include <QTableView>
#include <QTextEdit>
#include <QLineEdit>
#include <QSqlQueryModel>
#include "form/abstractform.h"
class QueryEditor : public AbstractForm
{
Q_OBJECT
public:
    explicit QueryEditor(QWidget *parent = 0);

signals:

public slots:
void save();
void load(QSqlRecord record);
void exec();

private:
QTextEdit * mTextEdit;
QTableView * mTableView;
QSqlQueryModel * mModel;
QLineEdit * mNameEdit;
QLineEdit * mCommentaireEdit;
QSqlRecord mCurrentRecord;
};

#endif // QUERYEDITOR_H
