#include "reportmaker.h"
#include <QToolBar>
#include <QVBoxLayout>
#include "items/textshartitem.h"
#include "items/pixmapshartitem.h"
#include "items/piechartitem.h"

ReportMaker::ReportMaker(QWidget *parent) :
    QWidget(parent)
{
mView = new QGraphicsView;
mScene = new QGraphicsScene;

QToolBar * toolBar = new QToolBar;
QVBoxLayout * layout = new QVBoxLayout;

layout->addWidget(toolBar);
layout->addWidget(mView);


mView->setScene(mScene);

setLayout(layout);



PieChartItem * item = new PieChartItem();
TextShartItem * item2 = new TextShartItem("titre");



mScene->addItem(item);

}
